Loading...
Searching...
No Matches
Path< GR >::ArcIt Class Reference

## Detailed Description

template<typename GR>
class lemon::concepts::Path< GR >::ArcIt

LEMON style iterator class for enumerating the arcs of a path.

`#include <lemon/concepts/path.h>`

## Public Member Functions

| ArcIt ()
| Default constructor.
| ArcIt (Invalid)
| Invalid constructor.
| ArcIt (const Path &)
| Sets the iterator to the first arc of the given path.
| operator Arc () const
| Conversion to `Arc`.
ArcIt & | operator++ ()
| Next arc.
bool | operator== (const ArcIt &) const
| Comparison operator.
bool | operator!= (const ArcIt &) const
| Comparison operator.
bool | operator< (const ArcIt &) const
| Comparison operator.